# Interface Band

All Superinterfaces:
  `RangeDimension`

All Known Implementing Classes:
  `DefaultBand`

@UML(identifier="MD_Band", specification=ISO_19115) public interface Band extends RangeDimension
Range of wavelengths in the electromagnetic spectrum.

Since:
  2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BandDefinition`
  `getBandBoundaryDefinition()`
  Designation of criterion for defining maximum and minimum wavelengths for a spectral band.
  `Integer`
  `getBitsPerValue()`
  Maximum number of significant bits in the uncompressed representation for the value in each band of each pixel.
  `PolarizationOrientation`
  `getDetectedPolarization()`
  Polarization of the radiation detected.
  `Double`
  `getMaxValue()`
  Longest wavelength that the sensor is capable of collecting within a designated band.
  `Double`
  `getMinValue()`
  Shortest wavelength that the sensor is capable of collecting within a designated band.
  `Double`
  `getNominalSpatialResolution()`
  Smallest distance between which separate points can be distinguished, as specified in instrument design.
  `Double`
  `getOffset()`
  The physical value corresponding to a cell value of zero.
  `Double`
  `getPeakResponse()`
  Wavelength at which the response is the highest.
  `Double`
  `getScaleFactor()`
  Scale factor which has been applied to the cell value.
  `Integer`
  `getToneGradation()`
  Number of discrete numerical values in the grid data.
  `TransferFunctionType`
  `getTransferFunctionType()`
  Type of transfer function to be used when scaling a physical value for a given element.
  `PolarizationOrientation`
  `getTransmittedPolarization()`
  Polarization of the radiation transmitted.
  `Unit<Length>`
  `getUnits()`
  Units in which sensor wavelengths are expressed.

  ### Methods inherited from interface RangeDimension

  `getDescriptor, getSequenceIdentifier`

- ## Method Details

  - ### getMaxValue

    @UML(identifier="maxValue", obligation=OPTIONAL, specification=ISO_19115) Double getMaxValue()
    Longest wavelength that the sensor is capable of collecting within a designated band. Returns `null` if unspecified.
    Returns:
      Longest wavelength that the sensor is capable of collecting within a designated band, or `null` if unknown. The units of measurement is given by `getUnits()`.

  - ### getMinValue

    @UML(identifier="minValue", obligation=OPTIONAL, specification=ISO_19115) Double getMinValue()
    Shortest wavelength that the sensor is capable of collecting within a designated band. Returns `null` if unspecified.
    Returns:
      Shortest wavelength that the sensor is capable of collecting within a designated band, or `null` if unknown. The units of measurement is given by `getUnits()`.

  - ### getPeakResponse

    @UML(identifier="peakResponse", obligation=OPTIONAL, specification=ISO_19115) Double getPeakResponse()
    Wavelength at which the response is the highest. Returns `null` if unspecified.
    Returns:
      Wavelength at which the response is the highest, or `null` if unknown. The units of measurement is given by `getUnits()`.

  - ### getUnits

    @UML(identifier="units", obligation=CONDITIONAL, specification=ISO_19115) Unit<Length> getUnits()
    Units in which sensor wavelengths are expressed.
    Returns:
      Units in which sensor wavelengths are expressed, or `null`.

  - ### getBitsPerValue

    @UML(identifier="bitsPerValue", obligation=OPTIONAL, specification=ISO_19115) Integer getBitsPerValue()
    Maximum number of significant bits in the uncompressed representation for the value in each band of each pixel. Returns `null` if unspecified.
    Returns:
      Maximum number of significant bits in the uncompressed representation, or `null`.

  - ### getToneGradation

    @UML(identifier="toneGradation", obligation=OPTIONAL, specification=ISO_19115) Integer getToneGradation()
    Number of discrete numerical values in the grid data. Returns `null` if unspecified.
    Returns:
      Number of discrete numerical values in the grid data, or `null`.

  - ### getScaleFactor

    @UML(identifier="scaleFactor", obligation=OPTIONAL, specification=ISO_19115) Double getScaleFactor()
    Scale factor which has been applied to the cell value. Returns `null` if unspecified.
    Returns:
      Scale factor which has been applied to the cell value, or `null`.

  - ### getOffset

    @UML(identifier="offset", obligation=OPTIONAL, specification=ISO_19115) Double getOffset()
    The physical value corresponding to a cell value of zero. Returns `null` if unspecified.
    Returns:
      The physical value corresponding to a cell value of zero, or `null`.

  - ### getBandBoundaryDefinition

    @UML(identifier="bandBoundaryDefinition", obligation=OPTIONAL, specification=ISO_19115_2) BandDefinition getBandBoundaryDefinition()
    Designation of criterion for defining maximum and minimum wavelengths for a spectral band.
    Returns:
      Criterion for defining maximum and minimum wavelengths.
    Since:
      2.3

  - ### getNominalSpatialResolution

    @UML(identifier="nominalSpatialResolution", obligation=OPTIONAL, specification=ISO_19115_2) Double getNominalSpatialResolution()
    Smallest distance between which separate points can be distinguished, as specified in instrument design.

    Warning: The return type of this method may change in GeoAPI 3.1. It may be replaced by the `Length` type in order to provide unit of measurement together with the value.

    Returns:
      Smallest distance between which separate points can be distinguished.
    Since:
      2.3

  - ### getTransferFunctionType

    @UML(identifier="transferFunctionType", obligation=OPTIONAL, specification=ISO_19115_2) TransferFunctionType getTransferFunctionType()
    Type of transfer function to be used when scaling a physical value for a given element.
    Returns:
      Type of transfer function.
    Since:
      2.3

  - ### getTransmittedPolarization

    @UML(identifier="transmittedPolarization", obligation=OPTIONAL, specification=ISO_19115_2) PolarizationOrientation getTransmittedPolarization()
    Polarization of the radiation transmitted.
    Returns:
      Polarization of the radiation transmitted.
    Since:
      2.3

  - ### getDetectedPolarization

    @UML(identifier="detectedPolarization", obligation=OPTIONAL, specification=ISO_19115_2) PolarizationOrientation getDetectedPolarization()
    Polarization of the radiation detected.
    Returns:
      Polarization of the radiation detected.
    Since:
      2.3